Subject: Re: Any reason for configuring several LL@ on a given interface ?

From: [email-masked]
Date: Wed, 16 Apr 2003 09:59:46 +0200

On Tue, 15 Apr 2003, Shannon -jj Behrens wrote:

> Multiple attachments would = multiple interfaces, correct?  The question
was
> about having multiple addresses on one interface.  Perhaps I'm missing
> something.

Actually, I have no doubt about the relevance for several global addresses
per IPv6 interface (e.g. for site renumbering with address finite
lifetime).

What I was wondering is the relevance for having several
     FE80::<interface identifier>
on the same IPv6 interface (say on a POS fibre).

On Tue, 15 Apr 2003, Pekka Savola wrote:

> > what about routers? Can we expect router having multiple attachments to
> > the same link ?
>
> As a bridge between Secure Neighbor Discovery and Neighbor Discovery, I'd
> say yes.

I'm not so familiar with Secure Neighbor Discovery. Would you mean here
that
having several *LL@* on an interface is usefull/needed for secure ND ?
Any pointer maybe ?

Thanks,
Kind regards
Robert

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: John Flick <[email-masked]>
Date: Wed, 16 Apr 2003 15:30:22 -0700

> on the same IPv6 interface (say on a POS fibre).

See draft-ietf-vrrp-ipv6-spec-03.txt for one example of where an IPv6
interface may have multiple LL addresses.

John

---

From: Robert Elz <[email-masked]>
Date: Thu, 17 Apr 2003 16:37:33 +0700

Date:        Wed, 16 Apr 2003 09:59:46 +0200
    From:        [email-masked]
    Message-ID:  <[email-masked]>

  | What I was wondering is the relevance for having several
  |      FE80::<interface identifier>
  | on the same IPv6 interface (say on a POS fibre).

I do that sometimes, but I can't claim it is for much of a good reason.

Keeping the FE80::EUI-64 makes things "normal", but having FE80::1
makes things "easy", so I sometimes just have both, the EUI form is
what the system will use (when it originates packets, for RS, etc).
The ::1 form is what I use (as target addr) when I ping, or similar,
when I am using literal addresses for some reason.

I've also done it on tunnels to linux boxes - they like to use fe80::i.p.v.4
as the LL on the tunnel, whereas NetBSD/KAME uses FE80::EUI-64 (taken from some
relevant interface).   There I often use fe80::1 (as above) and also
add fe80::i.p.v.4 so my NetBSD end will have an address that a linux user
might assume that it is going to have.

kre